com.lowagie.text.rtf.parser.ctrlwords

## Class RtfCtrlWordData

- java.lang.Object
- - com.lowagie.text.rtf.parser.ctrlwords.RtfCtrlWordData

All Implemented Interfaces:
  java.lang.Cloneable

    public class RtfCtrlWordData
    extends java.lang.Object
    implements java.lang.Cloneable

The control word and parameter information as parsed by the parser. Contains the control word, Flag indicating if there is a parameter. The parameter value as a string. Flag indicating the parameter is positive or negative.

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

### Field Summary

Fields
`java.lang.String` `ctrlWord` The control word found by the parser
`int` `ctrlWordType`
`boolean` `hasParam` Flag indicating if this keyword has a parameter.
`boolean` `isNeg` Flag indicating if parameter is positive or negative.
`boolean` `modified` Flag indicating if this object has been modified.
`boolean` `newGroup` Flag indicating a new group
`java.lang.String` `param` The parameter for the control word.
`java.lang.String` `prefix`
`java.lang.String` `specialHandler`
`java.lang.String` `suffix`

### Constructor Summary

Constructors
Constructor and Description
`RtfCtrlWordData()`

### Method Summary

Methods
`java.lang.Object` `clone()`
`int` `intValue()` Return the parameter value as an integer (int) value.
`long` `longValue()` Return the parameter value as a long value
`java.lang.Integer` `toInteger()` Return the parameter value as an Integer object.
`java.lang.Long` `toLong()` Return the parameter value as a Long object
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### prefix

    public java.lang.String prefix

#### suffix

    public java.lang.String suffix

#### ctrlWord

    public java.lang.String ctrlWord

The control word found by the parser

#### hasParam

    public boolean hasParam

Flag indicating if this keyword has a parameter.

#### param

    public java.lang.String param

The parameter for the control word.

#### isNeg

    public boolean isNeg

Flag indicating if parameter is positive or negative.

#### newGroup

    public boolean newGroup

Flag indicating a new group

#### modified

    public boolean modified

Flag indicating if this object has been modified.

#### ctrlWordType

    public int ctrlWordType

#### specialHandler

    public java.lang.String specialHandler

### Constructor Detail

#### RtfCtrlWordData

    public RtfCtrlWordData()

### Method Detail

#### intValue

    public int intValue()

Return the parameter value as an integer (int) value.

Returns:
  Returns the parameter value as an int vlaue.

#### toInteger

    public java.lang.Integer toInteger()

Return the parameter value as an Integer object.

Returns:
  Returns the parameter value as an Integer object.

#### longValue

    public long longValue()

Return the parameter value as a long value

Returns:
  Returns the parameter value as a long value

#### toLong

    public java.lang.Long toLong()

Return the parameter value as a Long object

Returns:
  Returns the parameter value as a Long object.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Overrides:
  `clone` in class `java.lang.Object`
Throws:
  `java.lang.CloneNotSupportedException`